Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041746
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2019-09-03 16:162019-10-16 12:53
ReporterxmirasView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision9fb3583c8602
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041746: Prepayment amount is not being correctly calculated in Pay Open Tickets

DescriptionWebpos is not taking account simple previous payments while using Pay Open tickets function (with prepayment config)
Steps To ReproduceSteps:
1. Login to a POS terminal.
2. Create a layaway and synchronize it.
3. Open the layaway again.
4. Add a partial payment.
5. Click on * to open a new ticket.
6. Add a product.
7. Click on Pay Open Tickets.
--> The total button asks for the sum of both tickets minus the partial payment added in step 4.
--> On the right-panel, it asks for the the sum of both tickets.

Video: https://drive.google.com/file/d/1HGg47q7x06lsiUnbH9eEg-wYkdfuJGtL/view [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0114766)
hgbot (developer)
2019-09-24 23:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8e02c729c509526699b935fa34a277fbe26992d7
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Sep 23 18:57:19 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8e02c729c509526699b935fa34a277fbe26992d7 [^]

Fixed issue 41746: Prepayment amount is not being correctly calculated in Pay
Open Tickets

- The partial payments was discounted of the pending to pay

---
M web/org.openbravo.retail.posterminal/js/components/order.js
---
(0114814)
jorge-garcia (developer)
2019-09-26 16:37
edited on: 2019-09-26 16:37

There are two more problems after this fix is applied:
  Problem 1 - Steps to reproduce:
    1. Login to a POS terminal.
    2. Create a layaway of total 100 and synchronize it using Layaway.
    3. Open the layaway again and add partial payment of 25€ (below delivery payment limit)
    4. Create a new ticket of total 100.
    5. Click on Pay Open Tickets and select both tickets
    6. Remaining payment to deliver is 125€
    7. Click on "Part." button
    8. Check the payment added is 100€ instead of 125€
  Problem 2 - Steps to reproduce
    1. Follow steps from Problem 1
    2. Remove payment just added of 100€
    3. Check remaining delivery payment is 100 (instead of 125).

(0114818)
hgbot (developer)
2019-09-26 17:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 92f30db0d46ae96073d728e21bd3ec1cbd7508cb
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu Sep 26 17:15:40 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/92f30db0d46ae96073d728e21bd3ec1cbd7508cb [^]

Related to issue 41746: Prepayment amount is not being correctly
calculated in Pay Open Tickets

Setting a clear message saying why we need to define a new public
method in superclass.

---
M src/org/openbravo/retail/posterminal/POSDataSynchronizationProcess.java
---
(0114853)
hgbot (developer)
2019-09-28 17:11

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: fe560730586cd1cbc0eb3c325bb3a5974d38cd9c
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Fri Sep 27 10:45:51 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/fe560730586cd1cbc0eb3c325bb3a5974d38cd9c [^]

Related issue 41746: Prepayment amount is not being correctly calculated in Pay
Open Tickets

- Fixed partial payments value when "Part" button is clicked

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0114856)
jorge-garcia (developer)
2019-09-30 11:24
edited on: 2019-09-30 11:25

With the last patch, the same problem is reproducible when trying to pay individually the tickets:
There are two problems after last fix is applied:
  Problem 1 - Steps to reproduce:
    1. Login to a POS terminal.
    2. Create a layaway of total 100 and synchronize it using Layaway.
    3. Open the layaway again and add partial payment of 25€ (below delivery payment limit)
    4. Create a new ticket of total 100.
    5. Open both receipts with Open Receipt option
    6. Open payment tab for layaway ticket
    7. Click on "Part." button
    8. Check the payment added is 50€ instead of 25€
  Problem 2 - Steps to reproduce
    1. Follow steps from Problem 1
    2. Remove payment just added of 50€
    3. Check remaining delivery payment is 50 (instead of 25).

(0114857)
hgbot (developer)
2019-09-30 11:25

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0584683b73b98308513415f47ad30f059df478f3
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Mon Sep 30 11:19:50 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0584683b73b98308513415f47ad30f059df478f3 [^]

Related to issue 41746: Prepayment amount is not being correctly calculated in Pay
Open Tickets

Backed out changeset fe560730586c.

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0114858)
hgbot (developer)
2019-09-30 11:25

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a51b3ec0855f4173b32f945980796bc23780d67f
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Mon Sep 30 11:20:35 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a51b3ec0855f4173b32f945980796bc23780d67f [^]

Related to issue 41746: Prepayment amount is not being correctly calculated in Pay
Open Tickets

Backed out changeset 8e02c729c509

---
M web/org.openbravo.retail.posterminal/js/components/order.js
---
(0114887)
hgbot (developer)
2019-10-02 19:03

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5aab1575c7318df75ea9d8b9da175e36aaa6ab72
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Sep 30 17:20:55 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5aab1575c7318df75ea9d8b9da175e36aaa6ab72 [^]

Fixed issue 41746: Prepayment amount is not being correctly calculated in Pay
Open Tickets

- Fixed partial payments value when "Part" button is clicked in Multi Order flow
and single ticket flow

---
M web/org.openbravo.retail.posterminal/js/components/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/payment.js
---
(0114906)
jorge-garcia (developer)
2019-10-03 17:14

Code reviewed and tested
(0114934)
barbararoncato (developer)
2019-10-07 14:09

When removing the prepayment and adding a new one, the prepayment validations do not appear in Pay Open Tickets:

Steps:
1. Login to a POS terminal.
2. Create a layaway and synchronize it.
3. Open the layaway again.
4. Add a partial payment.
5. Click on * to open a new ticket.
6. Add a product.
7. Click on Pay Open Tickets.
--> the payments are ok now.
8. Close the Pay Open Tickets window.
9. Remove the payment added in step 4 and add a new one.
10. Click on Pay Open Tickets.
--> The amount for delivery is not showing anymore.

video: https://drive.google.com/file/d/1lZm9sjUxUCILk-Btp8tW55Ebx394CkPo/view [^]
(0115001)
hgbot (developer)
2019-10-10 15:13

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9fb3583c860280ac3111e33ee4e117dd48eaa373
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Oct 08 09:14:46 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9fb3583c860280ac3111e33ee4e117dd48eaa373 [^]

Fixed issue 41746: Prepayment amount is not being correctly calculated in Pay
Open Tickets

- Updated the prepayment amount

---
M web/org.openbravo.retail.posterminal/js/components/order.js
---
(0115108)
adrianromero (manager)
2019-10-16 12:53

Functionality tested and code verified.

- Issue History
Date Modified Username Field Change
2019-09-03 16:16 xmiras New Issue
2019-09-03 16:16 xmiras Assigned To => Retail
2019-09-03 16:16 xmiras Resolution time => 1569189600
2019-09-03 16:16 xmiras Triggers an Emergency Pack => No
2019-09-03 16:22 xmiras Category Layaway order => Web POS
2019-09-03 16:22 xmiras Summary Different totals showing in Pay Open Tickets => Prepayment amount is not being correctly calculated in Pay Open Tickets
2019-09-03 16:25 xmiras Description Updated View Revisions
2019-09-05 21:05 rqueralta Assigned To Retail => rqueralta
2019-09-09 15:20 marvintm Description Updated View Revisions
2019-09-24 23:23 hgbot Checkin
2019-09-24 23:23 hgbot Note Added: 0114766
2019-09-24 23:23 hgbot Status new => resolved
2019-09-24 23:23 hgbot Resolution open => fixed
2019-09-24 23:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8e02c729c509526699b935fa34a277fbe26992d7 [^]
2019-09-26 14:55 jorge-garcia Review Assigned To => jorge-garcia
2019-09-26 14:55 jorge-garcia Description Updated View Revisions
2019-09-26 16:37 jorge-garcia Note Added: 0114814
2019-09-26 16:37 jorge-garcia Status resolved => new
2019-09-26 16:37 jorge-garcia Resolution fixed => open
2019-09-26 16:37 jorge-garcia Note Edited: 0114814 View Revisions
2019-09-26 17:15 hgbot Checkin
2019-09-26 17:15 hgbot Note Added: 0114818
2019-09-28 17:11 hgbot Checkin
2019-09-28 17:11 hgbot Note Added: 0114853
2019-09-30 11:24 jorge-garcia Note Added: 0114856
2019-09-30 11:25 jorge-garcia Note Edited: 0114856 View Revisions
2019-09-30 11:25 hgbot Checkin
2019-09-30 11:25 hgbot Note Added: 0114857
2019-09-30 11:25 hgbot Checkin
2019-09-30 11:25 hgbot Note Added: 0114858
2019-10-02 19:03 hgbot Checkin
2019-10-02 19:03 hgbot Note Added: 0114887
2019-10-02 19:03 hgbot Status new => resolved
2019-10-02 19:03 hgbot Resolution open => fixed
2019-10-02 19:03 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8e02c729c509526699b935fa34a277fbe26992d7 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5aab1575c7318df75ea9d8b9da175e36aaa6ab72 [^]
2019-10-03 17:14 jorge-garcia Note Added: 0114906
2019-10-03 17:14 jorge-garcia Status resolved => closed
2019-10-03 17:14 jorge-garcia Fixed in Version => RR20Q1
2019-10-07 14:09 barbararoncato Note Added: 0114934
2019-10-07 14:09 barbararoncato Status closed => new
2019-10-07 14:09 barbararoncato Resolution fixed => open
2019-10-07 14:09 barbararoncato Fixed in Version RR20Q1 =>
2019-10-10 15:13 hgbot Checkin
2019-10-10 15:13 hgbot Note Added: 0115001
2019-10-10 15:13 hgbot Status new => resolved
2019-10-10 15:13 hgbot Resolution open => fixed
2019-10-10 15:13 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5aab1575c7318df75ea9d8b9da175e36aaa6ab72 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9fb3583c860280ac3111e33ee4e117dd48eaa373 [^]
2019-10-15 16:25 nicolasuriz Issue Monitored: nicolasuriz
2019-10-15 16:41 adrianromero Review Assigned To jorge-garcia => adrianromero
2019-10-16 12:53 adrianromero Note Added: 0115108
2019-10-16 12:53 adrianromero Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker